package com.bocloud.ims.service.model;

import java.util.List;

/**
 * 主机监控数据
 * 
 * @author wangyu
 * @Version 1.0
 * @since 2017年7月7日
 */
public class ComputerInfo {

	private List<StatsResult> vmwares;// vmware平台主机概览
	private List<StatsResult> openStacks;// openstack平台主机概览
	private StatsResult applications;// 资源监控数据概览

	/**
	 * @param vmwares
	 * @param openStacks
	 */
	public ComputerInfo(List<StatsResult> vmwares, List<StatsResult> openStacks) {
		super();
		this.vmwares = vmwares;
		this.openStacks = openStacks;
	}

	/**
	 * @param vmwares
	 * @param openStacks
	 * @param applications
	 */
	public ComputerInfo(List<StatsResult> vmwares, List<StatsResult> openStacks, StatsResult applications) {
		super();
		this.vmwares = vmwares;
		this.openStacks = openStacks;
		this.applications = applications;
	}

	/**
	 * @return the vmwares
	 */
	public List<StatsResult> getVmwares() {
		return vmwares;
	}

	/**
	 * @param vmwares
	 *            the vmwares to set
	 */
	public void setVmwares(List<StatsResult> vmwares) {
		this.vmwares = vmwares;
	}

	/**
	 * @return the openStacks
	 */
	public List<StatsResult> getOpenStacks() {
		return openStacks;
	}

	/**
	 * @param openStacks
	 *            the openStacks to set
	 */
	public void setOpenStacks(List<StatsResult> openStacks) {
		this.openStacks = openStacks;
	}

	/**
	 * @return the applications
	 */
	public StatsResult getApplications() {
		return applications;
	}

	/**
	 * @param applications
	 *            the applications to set
	 */
	public void setApplications(StatsResult applications) {
		this.applications = applications;
	}

}
